Liferay.Loader.define('segments-web$react-dnd-test-utils@11.1.1/lib/utils', ['module', 'exports', 'require'], function (module, exports, require) {
    var define = undefined;
    var global = window;
    {
        /* eslint-disable @typescript-eslint/no-unused-vars */
        import * as React from 'react';
        import { TestBackend, getInstance } from 'react-dnd-test-backend';
        import { DndContext, DndProvider } from 'react-dnd';
        import { act } from 'react-dom/test-utils';
        /**
         * Wrap a DnD component or test case in a DragDropContext
         *
         * @param DecoratedComponent The component to decorate
         */
        export function wrapInTestContext(DecoratedComponent) {
            const forwardedRefFunc = (props, ref) => {
                const dragDropManager = React.useRef(undefined);
                const decoratedComponentRef = React.useRef(undefined);
                React.useImperativeHandle(ref, () => ({
                    getManager: () => dragDropManager.current,
                    getDecoratedComponent: () => decoratedComponentRef.current
                }));
                return React.createElement(DndProvider, { backend: TestBackend }, React.createElement(DndContext.Consumer, null, ctx => {
                    dragDropManager.current = ctx.dragDropManager;
                    return null;
                }), React.createElement(DecoratedComponent, Object.assign({ ref: decoratedComponentRef }, props)));
            };
            forwardedRefFunc.displayName = 'TestContextWrapper';
            return React.forwardRef(forwardedRefFunc);
        }
        /**
         * Extracts a Backend instance from a TestContext component, such as
         * one emitted from `wrapinTestContext`
         *
         * @param instance The instance to extract the backend fram
         * @deprecated - This is no longer useful since ContextComponent was removed. This will be removed in a major version cut.
         */
        export function getBackendFromInstance(_instance) {
            return getInstance();
        }
        export function simulateDragDropSequence(source, target, backend) {
            act(() => {
                backend.simulateBeginDrag([source.getHandlerId()]);
                backend.simulateHover([target.getHandlerId()]);
                backend.simulateDrop();
                backend.simulateEndDrag();
            });
        }
        export function simulateHoverSequence(source, target, backend) {
            act(() => {
                backend.simulateBeginDrag([source.getHandlerId()]);
                backend.simulateHover([target.getHandlerId()]);
                backend.simulateEndDrag();
            });
        }
    }
});
//# sourceMappingURL=utils.js.map